UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 24718

LogiCORE PCI v3.161 and PCI-X v5.161 - 9.1i CORE Generator displays the following license error: "You do not have a valid license to generate the implementation netlists for core because FLEXlm Error: No such feature exists."

Description

When trying to generate the PCI v3.161 or PCI-X v5.161 cores in CORE Generator 9.1i IP Update 1, the core cannot be generated and returns the following error message:

"You do not have a valid license to generate the implementation netlists for <PCI32> core because FLEXlm Error: No such feature exists." The license status indicates "Invalid - FLEXlm Error: No such feature exists (-5,21)."

Solution

The 9.1i IP Update 1 release contains new versions of both the PCI and PCI-X core; these are v3.161 and v5.161, respectively. These versions require a new license to be generated with a "v3_1" or "v5_1" license key. For example, previous version of the cores used keys with the following format:

pci32_sp_v3_0_xilinxd (pci32_sp_v3_0_flexlm.lic)

pci32_vx_v3_0_xilinxd (pci32_vx_v3_0_flexlm.lic)

pci64_vx_v3_0_xilinxd (pci64_vx_v3_0_flexlm.lic)

pcix64_vx_v3_0_xilinxd (pcix64_vx_v3_0_flexlm.lic)

By default, these files are located in the C:\.Xilinx\Coregen\CoreLicenses directory.

New license keys need to be generated for the v3.161 and v5.161 cores. These licenses can be obtained by visiting the PCI or PCI-X lounges at:

http://www.xilinx.com/pci.

The new licenses will be keyed as follows:

pci32_sp_v3_1_xilinxd (pci32_sp_v3_1_flexlm.lic)

pci32_vx_v3_1_xilinxd (pci32_vx_v3_1_flexlm.lic)

pci64_vx_v3_1_xilinxd (pci64_vx_v3_1_flexlm.lic)

pcix64_vx_v3_1_xilinxd (pcix64_vx_v3_1_flexlm.lic)

AR# 24718
Date Created 09/04/2007
Last Updated 12/15/2012
Status Active
Type General Article